org.apache.ignite.internal.processors.metric

## Class MetricsMxBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.MetricsMxBeanImpl

All Implemented Interfaces:
  MetricsMxBean

    public class MetricsMxBeanImpl
    extends Object
    implements MetricsMxBean

`MetricsMxBean` implementation.

### Constructor Summary

Constructors
Constructor and Description
`MetricsMxBeanImpl(GridMetricManager mmgr, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configureHistogramMetric(String name, long[] bounds)` Change `HistogramMetric` configuration.
`void` `configureHitRateMetric(String name, long rateTimeInterval)` Change `HitRateMetric` configuration.
`void` `resetMetrics(String registry)` Resets metrics for of a given registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricsMxBeanImpl

    public MetricsMxBeanImpl(GridMetricManager mmgr,
                             IgniteLogger log)

Parameters:
  `mmgr` - Metric manager.
  `log` - Logger.

### Method Detail

#### resetMetrics

    public void resetMetrics(String registry)

Resets metrics for of a given registry.

Specified by:
  `resetMetrics` in interface `MetricsMxBean`
Parameters:
  `registry` - Metrics registry name.

#### configureHitRateMetric

    public void configureHitRateMetric(String name,
                                       long rateTimeInterval)

Change `HitRateMetric` configuration. Call of this method will change metric configuration across all cluster nodes.

Specified by:
  `configureHitRateMetric` in interface `MetricsMxBean`
Parameters:
  `name` - Metric name.
  `rateTimeInterval` - New rate time interval.

#### configureHistogramMetric

    public void configureHistogramMetric(String name,
                                         long[] bounds)

Change `HistogramMetric` configuration. Call of this method will change metric configuration across all cluster nodes.

Specified by:
  `configureHistogramMetric` in interface `MetricsMxBean`
Parameters:
  `name` - Metric name.
  `bounds` - New bounds.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020